# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw2-jqplugins-ui
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.jqplugins.ui

Name:           python-module-tw2-jqplugins-ui
Version:        2.2.0
Release:        alt1_10
Summary:        jQuery UI for ToscaWidgets2

Group:          Development/Other
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
# https://github.com/toscawidgets/tw2.jqplugins.ui/pull/14
Patch0:         python-tw2-jqplugins-ui-unicode-shim.patch
BuildArch:      noarch

# For building, generally
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-webob1.0 >= 0.9.7
%else
BuildRequires:  python-module-webob >= 0.9.7
%endif
BuildRequires:  python-module-tw2-core
BuildRequires:  python-module-tw2-forms
BuildRequires:  python-module-tw2-jquery
BuildRequires:  python-module-PasteDeploy

# Specifically for the test suite
BuildRequires:  python-module-nose
BuildRequires:  python-module-coverage
BuildRequires:  python-module-BeautifulSoup
BuildRequires:  python-module-FormEncode
BuildRequires:  python-module-webtest
BuildRequires:  python-module-strainer

# Templating languages for the test suite
BuildRequires:  python-module-mako
BuildRequires:  python-module-genshi


# Runtime requirements

%global _description\
toscawidgets2 (tw2) aims to be a practical and useful widgets framework\
that helps people build interactive websites with compelling features, faster\
and easier. Widgets are re-usable web components that can include a template,\
server-side code and JavaScripts/CSS resources. The library aims to be:\
flexible, reliable, documented, performant, and as simple as possible.\
\
jQuery is a fast and concise JavaScript Library that simplifies HTML\
document traversing, event handling, animating, and Ajax interactions\
for rapid web development. jQuery is designed to change the way that\
you write JavaScript.\
\
jQuery UI provides abstractions for low-level interaction and animation,\
advanced effects and high-level, themeable widgets, built on top of the\
jQuery JavaScript Library, that you can use to build highly interactive\
web applications.\
\
This module, tw2.jqplugins.ui, provides toscawidgets2 (tw2) access to\
jQuery UI widgets.
Source44: import.info

%description %_description

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1

%if 0%{?rhel} && 0%{?rhel} <= 6

# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif


%build
%{__python} setup.py build
# This is a hack to get the jqplugins to not stomp all over each others
# namespace declarations.
rm -f build/lib/tw2/jqplugins/__init__.py*

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

#%check
#PYTHONPATH=$(pwd) python setup.py test

%files -n python-module-tw2-jqplugins-ui
%doc README.rst LICENSE.txt

%{python_sitelibdir_noarch}/tw2/jqplugins/ui
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_10
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_8
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_6
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_5
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_4
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_8
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_7
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_5
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_4
- initial fc import

